> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-uddatetime.md).

# New-UDDateTime

New-UDDateTime da formato a un valor de fecha y hora en PowerShell Universal utilizando la configuración regional y la zona horaria del navegador visitante en lugar de las del servidor.

### Sinopsis

Este componente de fecha y hora se utiliza para dar formato a fechas y horas mediante la configuración del navegador del usuario.

### Sintaxis

```powershell
New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-LocalizedFormat <String>] [-Locale <String>] [<CommonParameters>]

New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-Format <String>] [-Locale <String>] [<CommonParameters>]
```

### Descripción

Este componente de fecha y hora se utiliza para dar formato a fechas y horas mediante la configuración del navegador del usuario. Dado que los scripts de PowerShell de Universal Dashboard se ejecutan dentro del servidor, no se tiene en cuenta la configuración de fecha y hora del sistema del usuario. Este componente da formato a la fecha y la hora dentro del navegador del cliente para tener en cuenta su configuración regional y su zona horaria.

### Parámetros

#### -Id

El ID de este componente.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -InputObject

El objeto de fecha y hora al que dar formato.

```
Required?                    false
Position?                    1
Default value                (Get-Date)
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Format

El formato de la fecha y la hora. Este componente utiliza Day.JS. Puede obtener más información sobre las opciones de formato en su documentación: <https://day.js.org/docs/en/display/format>

```
Required?                    false
Position?                    named
Default value                DD/MM/YYYY
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LocalizedFormat

El formato localizado para la fecha y la hora. Utilice este formato si desea tener en cuenta la configuración regional y de zona horaria del navegador del usuario.

```
Required?                    false
Position?                    named
Default value                LLL
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Locale

La configuración regional que se debe usar al dar formato a la fecha y hora. De forma predeterminada, no está establecida.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parámetros comunes

Este cmdlet admite los parámetros comunes: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable y OutVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Salidas

### Ejemplos

#### Ejemplo 1

```powershell
New-UDDateTime -InputObject (Get-Date) -Format 'DD/MM/YYYY' -Id 'dateTime1'
```

Da formato a una fecha y hora utilizando el formato 'DD/MM/YYYY'

#### Ejemplo 2: formato localizado

```powershell
New-UDDateTime -InputObject (Get-Date) -LocalizedFormat 'LLL' -Id 'dateTime2'
```

Da formato a una fecha y hora utilizando el formato localizado 'LLL'

#### Ejemplo 3: configuración regional

```powershell
New-UDDateTime -InputObject (Get-Date) -Locale 'es' -Id 'dateTime3'
```

Da formato a una fecha y hora utilizando la configuración regional 'es'


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-uddatetime.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
